@echo off && title 编译并发布生产环境
echo 切换配置文件
ren .\src\main\resources\application.yml application.yml.dev
ren .\src\main\resources\application.yml.prod application.yml
echo 切换完毕，执行打包
call mvn clean package
echo 打包结束，还原配置文件
ren .\src\main\resources\application.yml application.yml.prod
ren .\src\main\resources\application.yml.dev application.yml
echo 还原完毕，请输入三次密码
echo Xrtx*2022
echo 按下任意键开始发版
pause
::先杀进程
ssh root@49.232.154.11 "cd /home/springboot/jdbiJava/ && sh killJar.sh"
scp ./target/jdyybi-0.0.1.jar root@49.232.154.11:/home/springboot/jdbiJava
ssh root@49.232.154.11 "cd /home/springboot/jdbiJava/ && sh run.sh"
pause

